yum

Centos 6.5环境下phpmyadmin无法运行(Segmentation fault (11))

centos 6.5是目前最新的32位版本,程序版本分别是Apache2.2和php5.3.3
yum安装apache+mysql+php+eaccelerator+phpmyadmin后,phpmyadmin竟然无法运行。查看apache的error.log,出现多条以下记录:
[notice] child pid 38219 exit signal Segmentation fault (11)
......
查证原因是eaccelerator造成的,卸载eaccelerator改装apc就正常了。

centos上如何yum安装rar/unrar?


vim /etc/yum.repos.d/dag.repo

添加以下内容:

[dag]

name=Dag RPM Repository for Red Hat Enterprise Linux

baseurl=http://apt.sw.be/redhat/el$releasever/en/$basearch/dag

gpgcheck=1

enabled=1

通过yum安装,轻松配置awstats统计虚拟站点

环境:centos,web服务用nginx
前提:先通过yum安装好httpd(apache),配置一个非80端口

centos安装和管理pure-ftpd的方法

安装过程:
yum install pure-ftpd
vim /etc/pure-ftpd/pure-ftpd.conf

修改/启用以下配置:
PureDB /etc/pure-ftpd/pureftpd.pdb
PassivePortRange 30000 50000

在防火墙启用ftp21端口和30000-50000端口(重要:不然ftp被动模式无法连接)

添加ftp虚拟用户:
pure-pw useradd
(虚拟用户需要关联一个实际系统用户,可以先创建一个专门的ftp用户)

最后重启pure-ftpd服务即可

监控ftp连接的方法:
ps auxw|grep pure-ftpd
pure-ftpwho

CentOS5如何设置使用rpmforge(packages.sw.be)作为yum源

(补充说一句,这个源跟另外一篇文章提到的俄罗斯的yum源是不兼容的,二取其一)
一直是在使用ubuntu ,用apt下载安装软件包都相当容易,最近在学习CentOS,发现安装软件包就没ubuntu那么容易。
今晚想安装一下cacti,不过rrdtool perl-rrdtool这两个软件包好几个源都没有,google到了packages.sw.be,能顺利的下载,但也有信赖关系没解决,只好考虑一下如何使用packages.sw.be做yum源
===============================
环境是CentOS-5.4-i386
你可以在 http://packages.sw.be/rpmforge-release/ 取得所有 rpmforge-release 组件的清单。找到合适的版本,本人的是rpmforge-release-0.5.2-2.el5.rf.i386.rpm
下载 rpmforge-release-0.5.2-2.el5.rf.i386.rpm 这个包。假若你不清楚应选用哪一个,你可以用 uname -i 这个指令来查询你的结构。

1、安装 DAG 的 GPG 密钥

升级centos的httpd/php/mysql版本

centos自带的软件版本太低了,即使是最新的5.5版本,自带的php居然是5.1版本。据说php5.2.9以下版本都有bug,因此必须升级centos的yum数据库。

以下最官方的升级方法,连到centos的测试仓库区升级:

编辑

/etc/yum.repos.d/centos-test.repo

centos利用yum安装最新的软件

1. 安装remi-release包